> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SEO settings

> This API returns the SEO settings of the knowledge base. For CLI sessions, this needs the Manage SEO settings permission.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/seo-settings.yaml GET /seo_setting
openapi: 3.0.3
info:
  title: NeetoKB SEO Settings API
  description: APIs to read and update the SEO settings of the knowledge base.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /seo_setting:
    get:
      tags:
        - SEO settings
      summary: Get SEO settings
      description: >-
        This API returns the SEO settings of the knowledge base. For CLI
        sessions, this needs the Manage SEO settings permission.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/seo_setting'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    seo_setting:
      type: object
      properties:
        title:
          type: string
        title_suffix:
          type: string
        description:
          type: string
        keywords:
          type: array
          items:
            type: string
        allow_search_engine_crawl:
          type: boolean
        google_analytics_tracking_id:
          type: string
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.